import { IProduct } from '@orderingstack/ordering-types';

/**
 *
 * @param originalMenu
 * @param markOnly - boolean to only mark products with "outsideAvailabilitySlot" flag, if false removes products
 * @param timeZone - venue timezone
 * @param interval - availability checking interval [seconds]
 */
export declare function useAvailability(originalMenu?: IProduct[], markOnly?: boolean, timeZone?: string | undefined, interval?: number): IProduct[] | undefined;
export declare function useMenu({ originalMenu, markOnly, timeZone, interval, enableKeys, }: {
    originalMenu?: IProduct[];
    markOnly: boolean;
    timeZone?: string;
    interval?: number;
    enableKeys?: string[];
}): IProduct[] | undefined;
//# sourceMappingURL=useAvailability.d.ts.map